FPAVERSION(8)

NAME
fpaversion - print FPA version, load microcode

SYNOPSIS
fpaversion [ -chlqv ] [ -t [ cdhimprstvxCIMS ]]

AVAILABILITY

Available only on Sun-3 and Sun-3x systems equipped with either an FPA or an FPA+.

DESCRIPTION

fpaversion performs various tests on the FPA or FPA+. Without arguments, it prints the microcode version number and constants currently installed on /dev/fpa. fpaversion also performs a quick test to ensure proper operation and reports whether an FPA or an FPA+ is installed.

OPTIONS

-c  Continue tests after an error.

-h  Help. Print command-line summary.

-l  Loop through tests infinitely.

-q  Quiet output. Print out only error messages.

-v  Verbose output.

-t  Specify certain tests:

    c   Command register format instructions.

    d   Double precision format instructions.

    h   Help. Print summary of test specifiers.

    i   Imask register.

    m   Mode register.

    p   Simple pipe sequencing.

    r   User registers for all contexts.

    s   Single precision format instructions.

    t   Status generation.

    v   Print version number and date of microcode, and constants. Report whether an FPA or an FPA+ is installed.

    x   Extended format instructions.

    C   Check checksum for microcode, mapping RAM, and constant RAM for the FPA. Check checksum for microcode RAM and constant RAM for the FPA+.

    I   Allows interactive reads and writes to the FPA.

    M   Command register format matrix instructions.

    S   Shadow registers.

FILES
/dev/fpa
    physical FPA device
/usr/etc/fpa/fpa_micro_bin
    microcode binaries for the FPA
/usr/etc/fpa/fpa_micro_map
    microcode map binaries for the FPA
/usr/etc/fpa/fpa_constants
    microcode data file for the FPA
/usr/etc/fpa/fpa_micro_bin+
    microcode binaries for the FPA+
/usr/etc/fpa/fpa_constants+
    microcode data file for the FPA+
/usr/etc/fpa/fpa_download
    microcode loader

SEE ALSO
fpa_download(8), fparel(8), sundiag(8)

DIAGNOSTICS

If a test fails, its name, along with the actual and expected results will be printed.